Change Elastic Bean Stalk Platform

I have been having troubles deploying my application with Elastic Beanstalk. I need to change the platform I am using to a current one that is accepted. I am using python 3.10.6 in my project so I am completely unsure of where the version 2.6 came from. enter image description here

Major python upgrade can't be done by simple changing a setting. You are also running Amazon Linux instead of Amazon Linux 2. Upgrading to python 3 would mean for you that you need to migrate to a new EB environment.

You need to migrate your application: https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/using-features.migration.html

I suspect you need to upgrade to Amazon Linux 2 aswell. There are alot of differences between how you need to configure your application. When I did this upgrade, I needed to rewrite alot of my existing configuration. https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/using-features.migration-al.html

Back to Top